// This is the local configuration file for the bot.
// Only use a local configuration file if you have enough experience with editing Configuration files.

// We recommend using the web configuration editor instead: https://nexus.defaultsbotdev.com/configuration

export default {
	// ==============================================
	//                  General
	// ==============================================
	// Docs: https://docs.defaultsbotdev.com/docs/nexus/configuration#general

	general_debug: true,
	general_bot_token: '',
	general_credentials_guild_id: '',
	general_presence_username: '',
	general_presence_type: '',
	general_presence_status: '',
	general_presence_activity: '',
	general_gameservers: [], // https://docs.defaultsbotdev.com/docs/nexus/configuration#gameservers

	// ==============================================
	//             Module: PlayerCounter
	// ==============================================
	// Docs: https://docs.defaultsbotdev.com/docs/nexus/configuration#playercounter

	playercounter_enabled: true,
	playercounter_update_interval: 300,
	playercounter_panels: [], // https://docs.defaultsbotdev.com/docs/nexus/configuration#counterpanels
	playercounter_channels: [], // https://docs.defaultsbotdev.com/docs/nexus/configuration#counterchannels
	playercounter_bots: [], // https://docs.defaultsbotdev.com/docs/nexus/configuration#counterbots

	// ==============================================
	//                Module: RCON
	// ==============================================
	// Docs: https://docs.defaultsbotdev.com/docs/nexus/configuration#rcon

	rcon_enabled: true,
	rcon_full_access: [],
	rcon_log_channel: '',
	rcon_permissions: [], // https://docs.defaultsbotdev.com/docs/nexus/configuration#rconpermission
	rcon_panels: [], // https://docs.defaultsbotdev.com/docs/nexus/configuration#rconpanels
	rcon_scripts: [], // https://docs.defaultsbotdev.com/docs/nexus/configuration#rconscripts
	rcon_timed_commands: [], // https://docs.defaultsbotdev.com/docs/nexus/configuration#rcontimedcommands

	// ==============================================
	//              Module: Controller
	// ==============================================
	// Docs: https://docs.defaultsbotdev.com/docs/nexus/configuration#controller

	controller_enabled: true,
	controller_allowed_roles: [],
	controller_panels: [], // https://docs.defaultsbotdev.com/docs/nexus/configuration#controllerpanels

	// ==============================================
	//              Module: Linker
	// ==============================================
	// Docs: https://docs.defaultsbotdev.com/docs/nexus/configuration#linker

	linker_enabled: true,
	linker_steam_general_enabled: true,
	linker_steam_general_method: 'code',
	linker_steam_panel_channel: '',
	linker_steam_panel_message: {}, // https://docs.defaultsbotdev.com/docs/nexus/configuration#message
	linker_steam_response_error: {}, // https://docs.defaultsbotdev.com/docs/nexus/configuration#message
	linker_steam_response_success: {}, // https://docs.defaultsbotdev.com/docs/nexus/configuration#message
	linker_steam_response_code: {}, // https://docs.defaultsbotdev.com/docs/nexus/configuration#message
	linker_steam_database_host: 'localhost',
	linker_steam_database_user: 'root',
	linker_steam_database_port: 3306,
	linker_steam_database_password: '',
	linker_steam_database_database: 'kalscrosschat',
	linker_steam_database_table: 'discordsteamlinks',
	linker_steam_database_column_code: 'InviteCode',
	linker_steam_database_column_discordid: 'DiscordId',
	linker_steam_database_column_steamid: 'SteamId',
	linker_epic_general_enabled: true,
	linker_epic_general_method: 'credentials',
	linker_epic_panel_channel: '',
	linker_epic_panel_message: {}, // https://docs.defaultsbotdev.com/docs/nexus/configuration#message
	linker_epic_response_error: {}, // https://docs.defaultsbotdev.com/docs/nexus/configuration#message
	linker_epic_response_success: {}, // https://docs.defaultsbotdev.com/docs/nexus/configuration#message
	linker_epic_response_code: {}, // https://docs.defaultsbotdev.com/docs/nexus/configuration#message
	linker_epic_database_host: 'localhost',
	linker_epic_database_user: 'root',
	linker_epic_database_port: 3306,
	linker_epic_database_password: '',
	linker_epic_database_database: 'kalscrosschat',
	linker_epic_database_table: 'discordsteamlinks',
	linker_epic_database_column_code: 'InviteCode',
	linker_epic_database_column_discordid: 'DiscordId',
	linker_epic_database_column_epicid: 'SteamId',

	// ==============================================
	//              Module: Shop
	// ==============================================
	// Docs: https://docs.defaultsbotdev.com/docs/nexus/configuration#shop

	shop_enabled: true,
	shop_staff_role_ids: [],
	shop_log_channel_id: '',
	shop_command_trade_enabled: true,
	shop_command_trade_max: 1000,
	shop_command_trade_message: {}, // https://docs.defaultsbotdev.com/docs/nexus/configuration#message
	shop_command_trade_success: {}, // https://docs.defaultsbotdev.com/docs/nexus/configuration#message
	shop_command_reward_enabled: true,
	shop_command_reward_min: 100,
	shop_command_reward_max: 1000,
	shop_command_reward_cooldown_hours: 24,
	shop_command_reward_message: {}, // https://docs.defaultsbotdev.com/docs/nexus/configuration#message
	shop_command_daily_enabled: true,
	shop_command_daily_min: 100,
	shop_command_daily_max: 1000,
	shop_command_daily_cooldown_hours: 24,
	shop_command_daily_message: {}, // https://docs.defaultsbotdev.com/docs/nexus/configuration#message
	shop_command_stats_enabled: true,
	shop_command_stats_message: {}, // https://docs.defaultsbotdev.com/docs/nexus/configuration#message
	shop_command_deposit_message: {}, // https://docs.defaultsbotdev.com/docs/nexus/configuration#message
	shop_command_withdraw_message: {}, // https://docs.defaultsbotdev.com/docs/nexus/configuration#message
	shop_external_points_enabled: true,
	shop_external_points_host: 'localhost',
	shop_external_points_user: 'root',
	shop_external_points_port: 3306,
	shop_external_points_password: '',
	shop_external_points_database: '',
	shop_external_points_table: '',
	shop_external_points_column_steamid: '',
	shop_external_points_column_epicid: '',
	shop_external_points_column_points: '',
	shop_points_per_chat: 1,
	shop_points_chat_threshold_sec: 10,
	shop_points_per_voice_min: 1,
	shop_points_voice_threshold_min: 1,
	shop_stack_role_point_additions: true,
	shop_display_item_format: {}, // https://docs.defaultsbotdev.com/docs/nexus/configuration#message
	shop_display_kit_format: {}, // https://docs.defaultsbotdev.com/docs/nexus/configuration#message
	shop_roles: [], // https://docs.defaultsbotdev.com/docs/nexus/configuration#shoproles
	shop_categories: [], // https://docs.defaultsbotdev.com/docs/nexus/configuration#shopcategories
	shop_kits: [], // https://docs.defaultsbotdev.com/docs/nexus/configuration#shopkits

	// ==============================================
	//              Module: Stats
	// ==============================================
	// Docs: https://docs.defaultsbotdev.com/docs/nexus/configuration#stats

	stats_enabled: true,
	stats_command_leaderboard_enabled: true,
	stats_command_leaderboard_ephemeral: true,
	stats_command_leaderboard_include: [],
	stats_command_stats_enabled: true,
	stats_command_stats_shorten: true,
	stats_command_stats_localized: true,
	stats_command_stats_ephemeral: true,
	stats_command_stats_grouped: true,
	stats_command_stats_search_others: true,
	stats_command_stats_player_path: 'database>table>column',
	stats_command_stats_group_path: 'database>table>column',
	stats_command_stats_pages: [], // https://docs.defaultsbotdev.com/docs/nexus/configuration#statspages
	stats_leaderboards_refetch_sec: 60,
	stats_leaderboards: [], // https://docs.defaultsbotdev.com/docs/nexus/configuration#statsleaderboard
	stats_databases: [], // https://docs.defaultsbotdev.com/docs/nexus/configuration#statsdatabase

	// ==============================================
	//              Module: Commander
	// ==============================================
	// Docs: https://docs.defaultsbotdev.com/docs/nexus/configuration#commander

	commander_enabled: true,
	commander_panels: [], // https://docs.defaultsbotdev.com/docs/nexus/configuration#commanderpanels

	// ==============================================
	//              Module: Utility
	// ==============================================
	// Docs: https://docs.defaultsbotdev.com/docs/nexus/configuration#utility

	utility_enabled: true,
	utility_announcer_enabled: true,
	utility_announcer_default_message: {}, // https://docs.defaultsbotdev.com/docs/nexus/configuration#message
	utility_welcomer_join_enabled: true,
	utility_welcomer_join_channel_id: '',
	utility_welcomer_join_message: {}, // https://docs.defaultsbotdev.com/docs/nexus/configuration#message
	utility_welcomer_join_dm_enabled: true,
	utility_welcomer_join_dm_message: {}, // https://docs.defaultsbotdev.com/docs/nexus/configuration#message
	utility_welcomer_leave_enabled: true,
	utility_welcomer_leave_channel_id: '',
	utility_welcomer_leave_message: {}, // https://docs.defaultsbotdev.com/docs/nexus/configuration#message
	utility_wipecountdown_enabled: true,
	utility_wipecountdown_ephemeral: true,
	utility_wipecountdown_interval: '0 0/10 * 1/1 * ? *',
	utility_wipecountdown_message: {}, // https://docs.defaultsbotdev.com/docs/nexus/configuration#message
	utility_suggestions_enabled: true,
	utility_suggestions_channel_ids: [],
	utility_suggestions_message: {}, // https://docs.defaultsbotdev.com/docs/nexus/configuration#message
	utility_recruiting_lfg_enabled: true,
	utility_recruiting_lfg_channel_id: '',
	utility_recruiting_lfg_category_id: '',
	utility_recruiting_lfg_negotiation_hours: 24,
	utility_recruiting_lfg_message: {}, // https://docs.defaultsbotdev.com/docs/nexus/configuration#message
	utility_recruiting_lfm_enabled: true,
	utility_recruiting_lfm_channel_id: '',
	utility_recruiting_lfm_category_id: '',
	utility_recruiting_lfm_negotiation_hours: 24,
	utility_recruiting_lfm_message: {}, // https://docs.defaultsbotdev.com/docs/nexus/configuration#message
	utility_auction_enabled: true,
	utility_auction_channel_id: '',
	utility_auction_category_id: '',
	utility_auction_negotiation_hours: 24,
	utility_auction_duration_hours: 1,
	utility_auction_active_message: {}, // https://docs.defaultsbotdev.com/docs/nexus/configuration#message
	utility_auction_ended_message: {}, // https://docs.defaultsbotdev.com/docs/nexus/configuration#message
	utility_selling_enabled: true,
	utility_selling_channel_id: '',
	utility_selling_category_id: '',
	utility_selling_negotiation_hours: 24,
	utility_selling_message: {}, // https://docs.defaultsbotdev.com/docs/nexus/configuration#message
	utility_request_enabled: true,
	utility_request_channel_id: '',
	utility_request_category_id: '',
	utility_request_negotiation_hours: 24,
	utility_request_message: {}, // https://docs.defaultsbotdev.com/docs/nexus/configuration#message
	utility_responder: [], // https://docs.defaultsbotdev.com/docs/nexus/configuration#utilityresponder
	utility_embedder: [], // https://docs.defaultsbotdev.com/docs/nexus/configuration#utilityembedder
};
